Skip to main content

Delete SSMS Risk

Using this API, riskbits which are added/created using Create SSMS Risk will be removed/deleted.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/riskbits/ssms/{ssmsriskid}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/kobilssmsrisks/resources-auth/{ssmsriskid}
note

At this moment, this API is applicable only for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

No request body fields are required

info
RequestPrevious BehaviourExpected and Current Behaviour
Hit the delete SSMS riskbit API with non existent SSMS Riskbits IDInternal server error was displayed as the responseResponse code will be 404 Not Found

Response Status Information​

Status CodeStatusMessage
202AcceptedSuccessfully removed.
401UnauthorizedHTTP 401 Unauthorized.
404Not FoundSSMS Riskbits ID Not found.